# $Revision: 1.14 $, $Date: 2005/11/22 09:55:57 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for simple porting of blocked I/O audio applications to JACK
Summary(pl):	Biblioteka do atwego portowania aplikacji z blokujcym we/wy dwiku do JACK
Name:		libbio2jack
Version:	0.8
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/bio2jack/bio2jack-%{version}.tar.gz
# Source0-md5:	c2765aef4c841f9f9931fe155c6ea5ba
Patch0:		%{name}-GetJackLatency.patch
URL:		http://bio2jack.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for enabling easy porting of blocked I/O (OSS/ALSA)
applications to the JACK sound server. This library allows the person
porting the code to simply replace the calls into OSS/ALSA with calls
into interface functions of this library. The library buffers a small
amount of audio data and takes care of the rest of the JACK
implementation including the linked list of audio data buffers and the
JACK callback.

%description -l pl
Biblioteka umoliwiajca atwe portowanie aplikacji z blokujcym we/wy
dwiku (OSS/ALSA) do serwera dwiku JACK. Ta biblioteka pozwala
osobie portujcej kod po prostu zastpi wywoania OSS/ALSA
wywoaniami funkcji interfejsu tej biblioteki. Biblioteka buforuje
niewielk ilo danych dwikowych i dba o reszt implementacji JACK,
wcznie z powizan list buforw danych dwikowych i wywoaniami
zwrotnymi.

%package devel
Summary:	Header files for bio2jack library
Summary(pl):	Pliki nagwkowe biblioteki bio2jack
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	jack-audio-connection-kit-devel

%description devel
Header files for bio2jack library.

%description devel -l pl
Pliki nagwkowe biblioteki bio2jack.

%package static
Summary:	Static bio2jack library
Summary(pl):	Statyczna biblioteka bio2jack
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static bio2jack library.

%description static -l pl
Statyczna biblioteka bio2jack.

%prep
%setup -q -n bio2jack
%patch0 -p1
rm -rf .libs

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make} clean
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D bio2jack.h $RPM_BUILD_ROOT%{_includedir}/bio2jack.h
install -D bio2jack-config $RPM_BUILD_ROOT%{_bindir}/bio2jack-config

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bio2jack-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbio2jack.spec,v $
Revision 1.14  2005/11/22 09:55:57  charles
- added (for the compatibility) -GetJackLatency.patch (e.g. required by mplayer)
- rel. 2 STBR

Revision 1.13  2005/11/17 01:05:54  charles
- desc cosmetics

Revision 1.12  2005/11/16 23:46:20  pluto
- updated to 0.8 (api changed).

Revision 1.11  2005/08/03 21:01:13  freetz
- rel.3 for rebuild (separated JACK libs)

Revision 1.10  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.9  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.8  2005/06/15 14:18:07  witekfl
- full regeneration of configure
- make clean, there were .lo files
- added bcond_without static

Revision 1.7  2005/05/03 21:00:25  pluto
- release 2 for Th.

Revision 1.6  2005/05/03 20:59:42  pluto
- updated to 0.7, release 1 dor Ac.

Revision 1.5  2005/03/25 15:31:42  qboosh
- unified sf URL

Revision 1.4  2005/03/05 14:00:20  qboosh
- -devel R: jack-audio-connection-kit-devel; release 2

Revision 1.3  2005/02/23 20:30:24  pluto
- bio2jack-config added to -devel.
- release 1.

Revision 1.2  2005/02/23 19:31:21  qboosh
- pl, BR: libtool (only???)

Revision 1.1  2005/02/23 14:08:30  pluto
- initial release (mplayer needs this lib to support jackd).
